org.modeshape.webdav.methods

## Class DoHead

- java.lang.Object
- - org.modeshape.webdav.methods.AbstractMethod
  - - org.modeshape.webdav.methods.DoHead

- All Implemented Interfaces:
    IMethodExecutor
  Direct Known Subclasses:
    DoGet

      public class DoHead
      extends AbstractMethod

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `contentLength`
    `protected String` | `dftIndexFile`
    `protected String` | `insteadOf404`
    `protected IMimeTyper` | `mimeTyper`
    `protected ResourceLocks` | `resourceLocks`
    `protected IWebdavStore` | `store`

    - ### Fields inherited from class org.modeshape.webdav.methods.AbstractMethod

      `BUF_SIZE, CREATION_DATE_FORMAT, DEFAULT_TIMEOUT, INFINITY, LAST_MODIFIED_DATE_FORMAT, LOCAL_DATE_FORMAT, MAX_TIMEOUT, TEMP_TIMEOUT, TEMPORARY, URL_ENCODER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoHead(IWebdavStore store, String dftIndexFile, String insteadOf404, ResourceLocks resourceLocks, IMimeTyper mimeTyper, int contentLengthHeader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doBody(ITransaction transaction, HttpServletResponse resp, String path)`
    `void` | `execute(ITransaction transaction, HttpServletRequest req, HttpServletResponse resp)`
    `protected void` | `folderBody(ITransaction transaction, String path, HttpServletResponse resp, HttpServletRequest req)`

    - ### Methods inherited from class org.modeshape.webdav.methods.AbstractMethod

      `creationDateFormat, getCleanPath, getDepth, getDocumentBuilder, getETag, getLocalDateFormat, getLockIdFromIfHeader, getLockIdFromLockTokenHeader, getParentPath, getRelativePath, isUnlocked, lastModifiedDateFormat, rewriteUrl, sendReport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dftIndexFile

          protected final String dftIndexFile

    - #### store

          protected final IWebdavStore store

    - #### insteadOf404

          protected final String insteadOf404

    - #### resourceLocks

          protected final ResourceLocks resourceLocks

    - #### mimeTyper

          protected final IMimeTyper mimeTyper

    - #### contentLength

          protected final int contentLength

  - ### Constructor Detail

    - #### DoHead

          public DoHead(IWebdavStore store,
                String dftIndexFile,
                String insteadOf404,
                ResourceLocks resourceLocks,
                IMimeTyper mimeTyper,
                int contentLengthHeader)

  - ### Method Detail

    - #### execute

          public void execute(ITransaction transaction,
                     HttpServletRequest req,
                     HttpServletResponse resp)
                       throws IOException,
                              LockFailedException

      Throws:
        `IOException`
        `LockFailedException`

    - #### folderBody

          protected void folderBody(ITransaction transaction,
                        String path,
                        HttpServletResponse resp,
                        HttpServletRequest req)
                             throws IOException

      Throws:
        `IOException`

    - #### doBody

          protected void doBody(ITransaction transaction,
                    HttpServletResponse resp,
                    String path)
                         throws IOException

      Throws:
        `IOException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.